| Home | Libraries | People | FAQ | More

##### basic_static_string::find_last_not_of (3 of 5 overloads)

Find the last occurrence of a character not within the string.

###### Synopsis

    constexpr size_type
    find_last_not_of(
        const_pointer s,
        size_type pos,
        size_type n) const;

###### Description

Finds the last occurrence of a character that is not within the string pointed to by `s` within the string before or at the index `pos`.

###### Complexity

Linear.

###### Return Value

The index corrosponding to the last character of `{begin(), begin() + pos}` that is not within `{s, s + n)` if it exists, and `npos` otherwise.

###### Parameters

Name | Description
--- | ---
`s` | The characters to ignore.
`pos` | The index to stop searching at. The default argument for this parameter is `npos`.
`n` | The length of the characters to ignore.